// TNameBox.cpp : implementation file
//

#include "stdafx.h"
#include "tctb.h"
#include "TNameBox.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTNameBox dialog


CTNameBox::CTNameBox(CWnd* pParent /*=NULL*/)
	: CDialog(CTNameBox::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTNameBox)
	m_TName = _T("");
	//}}AFX_DATA_INIT
}


void CTNameBox::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTNameBox)
	DDX_Text(pDX, IDC_TERRAINNAME, m_TName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTNameBox, CDialog)
	//{{AFX_MSG_MAP(CTNameBox)
	ON_BN_CLICKED(IDC_EXPFUL, OnExpful)
	ON_BN_CLICKED(IDC_EXPOPT, OnExpopt)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTNameBox message handlers


void CTNameBox::OnExpful() 
{
	// TODO: Add your control notification handler code here
	
	ExportOptimized=false;
}

void CTNameBox::OnExpopt() 
{
	// TODO: Add your control notification handler code here
	ExportOptimized=true;
}

BOOL CTNameBox::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	ExportOptimized=true;
	CheckDlgButton(IDC_EXPOPT,ExportOptimized);
	CheckDlgButton(IDC_EXPFUL,!ExportOptimized);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
